Subject: RE: reqFlags - ASN.1 comment out of sync with text (was Re: I-DACTION:draft-ietf-kitten-2478bis-05.txt)

From: "Liqiang\(Larry\) Zhu" <[email-masked]>
Date: Wed, 2 Feb 2005 13:30:27 -0800

I see it as being consistent: "RECOMMENDED" == "SHOULD".

> is there any reason why the initiator side is just 'SHOULD'?

This should be fine too as long as the acceptor ignores it.

-- Larry

-----Original Message-----
From: [email-masked]
[mailto:[email-masked]] On Behalf Of Simon Spero
Sent: Wednesday, February 02, 2005 7:37 AM
To: [email-masked]
Subject: reqFlags - ASN.1 comment out of sync with text (was Re:
I-DACTION:draft-ietf-kitten-2478bis-05.txt)

BTW, is there any reason why the initiator side is just 'SHOULD'?  Are
there any valid reasons for a new implementation to include this?

Text :
   reqFlags

         This field, if present, contains the service options that are
         requested to establish the context (the req_flags parameter of
         GSS_Init_sec_context()).  This field is inherited from RFC 2478
         and it is not integrity protected.  For implementations of this
         specification the initiator SHOULD omit this reqFlags field,
         and the acceptor MUST ignore this reqFlags field.

ASN.1:
...
           reqFlags        [1] ContextFlags  OPTIONAL,
             -- inherited from RFC 2478 for backward compatibility,
             -- RECOMMENDED to be left out ...
---------------
Fix:

	reqFlags [1] ContextFlags OPTIONAL
	-- inherited from RFC 2478 for backward compatibility
	-- initiator SHOULD omit
	-- acceptor MUST ignore

_______________________________________________
Kitten mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/kitten

_______________________________________________
Kitten mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/kitten